# -*- rpm-spec -*-
# $Id: kernel-feat-hotswap,v 1.9 2004/03/17 10:40:45 tren Exp $
##
%define  patch_name kernel-feat-hotswap

Name: %patch_name

Version: 0.5
Release: alt3

Summary: %patch_name set of hotswap-related kernel patches (AW-specific)
License: GPL
Group: Development/Other
Packager: Ed V. Bartosh <ed@altlinux.ru>

%source  1 01_md_set_rdev_faulty.patch					2.4
%source  2 02_set_md_devs_faulty.patch					2.4
%source  3 03_3w-xxxx_set_md_devs_faulty_when_scsi_errors.patch		2.4
%source  4 04_sd_find_id.patch						2.4
%source  6 06_ide-request_remove.patch					2.4
%source  7 07_ide-pdc_hwgroup.patch					2.4
%source  8 08_ide-retry-rq-check.patch					2.4
#%%source  9 09_ide-md_remove.patch					2.4
%source  9 06_ide-init_hwif.patch					2.4
# Unconditional remove/add device from scsi subsystem			2.4
# - 
#%%source	18 18_force-remove-single-device.patch				2.4

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
These patches helps to do hotswap tasks on AW.

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Thu Mar  4 2004 Zhenja Kaluta <tren@altlinux.ru> 0.5-alt3
- fixed kernel label

* Mon Jan 19 2004 Zhenja Kaluta <tren@altlinux.ru> 0.5-alt2
- updated for new kernel-build-tools

* Thu Jan  8 2004 Zhenja Kaluta <tren@altlinux.ru> 0.5-alt1
- added scsi fixes

* Thu Dec 18 2003 Zhenja Kaluta <tren@altlinux.ru> 0.4-alt8
- ide fixes moved here

* Tue Dec  2 2003 Zhenja Kaluta <tren@altlinux.ru> 0.4-alt7
- Build fix

* Fri Nov 28 2003 Zhenja Kaluta <tren@altlinux.ru> 0.4-alt6
- Fixed ide probe oops

* Thu Nov 27 2003 Ed V. Bartosh <ed@altlinux.ru> 0.4-alt5
- release

* Fri Nov 14 2003 Zhenja Kaluta <tren@altlinux.ru> 0.4-alt4
- set_dev_faulty call moved to ide-swap.c (removed patch)

* Thu Nov 06 2003 Alexey Kotovich <a.kotovich@sam-solutions.net> 0.4-alt3
- error processing at 3w-xxxx was corrected

* Thu Nov  6 2003 Zhenja Kaluta <tren@altlinux.ru> 0.4-alt3
- Fixed limit of BLK_DEV when calculating fault kdev

* Wed Nov 04 2003 Alexey Kotovich <a.kotovich@sam-solutions.net> 0.4-alt2
- RAID0 issue: check out error handler

* Mon Nov  3 2003 Zhenja Kaluta <tren@altlinux.ru> 0.4-alt1
- Added new md remove patch to ide

* Fri Oct 31 2003 Zhenja Kaluta <tren@altlinux.ru> 0.3-alt2
- request remove back

* Fri Oct 31 2003 Zhenja Kaluta <tren@altlinux.ru> 0.3-alt1
- Added rq check
- major changes by a.kotovich@sam-solutions.net

* Thu Oct 30 2003 Zhenja Kaluta <tren@altlinux.ru> 0.2-alt2
- removed drive->error() from request cleaning

* Thu Oct 30 2003 Zhenja Kaluta <tren@altlinux.ru> 0.2-alt1
- Added ide pdc fixes

* Thu Oct 23 2003 Alexey Kotovich <a.kotovich@sam-solutions.net> 0.1-alt3
- major changes

* Mon Oct 20 2003 Alexey Kotovich <a.kotovich@sam-solutions.net> 0.1-alt2
- removing faulty device from DM hash was added (02_set_md_devs_faulty.patch)

* Wed Oct 15 2003 Ed V. Bartosh <ed@altlinux.ru> 0.1-alt1
- Initial release


